package com.ruoyi.bst.modelSuit.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ruoyi.bst.modelSuit.domain.ModelSuit;
import com.ruoyi.bst.modelSuit.domain.ModelSuitQuery;
import com.ruoyi.bst.modelSuit.domain.ModelSuitVO;

/**
 * 车型套餐关联Mapper接口
 *
 * @author ruoyi
 * @date 2025-04-23
 */
public interface ModelSuitMapper
{
    /**
     * 查询车型套餐关联
     *
     * @param id 车型套餐关联主键
     * @return 车型套餐关联
     */
    ModelSuitVO selectModelSuitById(Long id);

    /**
     * 查询车型套餐关联列表
     *
     * @param query 车型套餐关联
     * @return 车型套餐关联集合
     */
    List<ModelSuitVO> selectModelSuitList(@Param("query")ModelSuitQuery query);

    /**
     * 新增车型套餐关联
     *
     * @param modelSuit 车型套餐关联
     * @return 结果
     */
    int insertModelSuit(ModelSuit modelSuit);

    /**
     * 批量新增车型套餐关联
     */
    int batchInsert(@Param("list") List<? extends ModelSuit> list);

    /**
     * 修改车型套餐关联
     *
     * @param modelSuit 车型套餐关联
     * @return 结果
     */
    public int updateModelSuit(@Param("data") ModelSuit modelSuit);

    /**
     * 删除车型套餐关联
     *
     * @param id 车型套餐关联主键
     * @return 结果
     */
    int deleteModelSuitById(Long id);

    /**
     * 批量删除车型套餐关联
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteModelSuitByIds(Long[] ids);

    /**
     * 批量删除车型套餐关联
     *
     * @param suitIds 需要删除的套餐ID集合
     * @return 结果
     */
    int deleteModelSuitBySuitIds(@Param("suitIds") List<Long> suitIds);

    /**
     * 批量删除车型套餐关联
     *
     * @param modelIds 需要删除的车型ID集合
     * @return 结果
     */
    int deleteModelSuitByModelIds(@Param("modelIds") List<Long> modelIds);
}
